*{
    text-transform: capitalize;
}

/*Container*/
.container{
    background-color: #031321;;
    padding: 5px 5%;
    margin: 4px;
    border-radius: 5px;
    height: 100%;
}
#heading{
    padding: 5px;
    border-radius: 5px;
    color: white;
    text-align: center;
    font-size: 2.5rem;
}

/*Personal Info*/
.personalInfo{
    display: grid;
    grid-template-columns: 1fr 8fr;
    margin-bottom: 5%;
    gap: 15px;
    height: 30vw;
}

/*Navbar*/
.navbar{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.service{
    padding: 15px 30px;
    color: #0062FF;
    cursor: pointer;
    text-transform: uppercase;
    word-spacing: 4px;
    display: inline-block;
    overflow: hidden;
    transition: 0.5s;
    border-radius: 5px;
    position: relative;
    margin-bottom: 2%;
}
.service:hover{
    color: #255784 ;
    background-color: #0062FF;
    box-shadow: 0 0 10px #0062FF, 0 0 30px #0062FF, 0 0 60px #0062FF;
    transition-delay: 1s;
}
.service span{
    display: block;
    position: absolute;
}
.service span:nth-child(1)
{
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg,transparent,#0062FF);
}
.service:hover span:nth-child(1)
{
    left: 100%;
    transition: 1s;
    transition-delay: 0s;
}
.service span:nth-child(3)
{
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg,transparent,#0062FF);
}
.service:hover span:nth-child(3)
{
    right: 100%;
    transition: 1s;
    transition-delay: 0.5s;
}
.service span:nth-child(2)
{
    right: 0;
    top: -100%;
    height: 100%;
    width: 2px;
    background: linear-gradient(180deg,transparent,#0062FF);
}
.service:hover span:nth-child(2)
{
    top: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}
.service span:nth-child(4)
{
    left: 0;
    bottom: -100%;
    height: 100%;
    width: 2px;
    background: linear-gradient(360deg,transparent,#0062FF);
}
.service:hover span:nth-child(4)
{
    bottom: 100%;
    transition: 1s;
    transition-delay: 0.75s;
}
.active{
    color: #255784  !important;
    background-color: #0062FF  !important;
    box-shadow: 0 0 10px #0062FF, 0 0 30px #0062FF, 0 0 60px #0062FF  !important;
}
/*Details*/
.details{
    background-color: lightgray;
    overflow: hidden;
    padding: 5px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    position: relative;
    height: 30vw;
    width: 100%;
}

/*Home*/
.home{
    display: grid;
    grid-template-columns: 1fr 4fr;
    justify-content: center;
    align-items: center;
    height: 30vw;
    transition: all 1s;
    position: absolute;
    top: 0%;
    padding: 2px 14px;
}

/*Skills*/
.skills{
    display: grid;
    grid-template-columns: 1fr 3fr;
    justify-content: center;
    align-items: center;
    height: 30vw;
    transition: all 1s;
    position: absolute;
    top: 100%;
    padding: 2px 14px;
}

/*Studies*/
.studies{
    display: grid;
    grid-template-columns: 1fr 3fr;
    justify-content: center;
    align-items: center;
    height: 30vw;
    transition: all 1s;
    position: absolute;
    top: 200%;
    padding: 2px 14px;
}

/*Projects*/
.projects{
    display: grid;
    grid-template-columns: 1fr 3fr;
    justify-content: center;
    align-items: center;
    height: 30vw;
    transition: all 1s;
    position: absolute;
    top: 300%;
    padding: 2px 14px;
}
.links{
    display: flex;
    flex-direction: column;
}
.links a{
    text-decoration: none;
    color: black;
    font-size: 20px;
    font-weight: lighter;
}
.links a:hover{
    color: #0062FF;
}


.image img{
    width: 100%;
    height: 100%;
}

/*Social Medial Handles*/
.socialMediaHandles{
    display: flex;
    justify-content: center;
    align-items: center;
}
.socialMediaHandles a{
    width: 2%;
}
.socialMediaHandles a:not(:last-child)
{
    margin-right: 10px;
}
.socialMediaHandles img{
    width: 100%;
}